import { EventKey, SelectCallback } from "./types";
import { UseNavItemOptions, NavItemProps } from "./NavItem";
import { JSX, ValidComponent } from "solid-js";
export type { UseNavItemOptions, NavItemProps };
export interface NavProps extends Omit<JSX.HTMLAttributes<HTMLElement>, "onSelect"> {
    /**
     * Key for the currently active NavItem.
     */
    activeKey?: EventKey;
    /**
     * Element used to render the component.
     */
    as?: ValidComponent;
    /**
     * A callback fired when a NavItem has been selected.
     */
    onSelect?: SelectCallback;
}
export declare const Nav: (p: NavProps) => JSX.Element;
declare const _default: ((p: NavProps) => JSX.Element) & {
    Item: (p: NavItemProps) => JSX.Element;
};
export default _default;
